
<!DOCTYPE html>
<html>


<head>
	<meta charset='UTF-8' /> 
	<meta name='description' content='' />
	<meta name='robots' content='noodp, noydir' />
	<meta name='viewport' content='width=device-width, initial-scale=1' />
	<meta id="timeStampFormat" name="timeStampFormat" content='MMM d, yyyy hh:mm:ss a'/>
	
	<link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600' rel='stylesheet' type='text/css'>
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

		<link href='https://cdn.rawgit.com/anshooarora/extentreports-java/b4a58fcfd1e137bd9287244035a7c80d3d73b3af/dist/css/extent.css' type='text/css' rel='stylesheet' />
	
	<title>Social Network REST API Tests</title>

	<style type='text/css'>
			
            

            
        
	</style>
</head>

	<body class='extent dark default hide-overflow '>
		<div id='theme-selector' alt='Click to toggle theme. To enable by default, use theme configuration.' title='Click to toggle theme. To enable by default, use theme configuration.'>
			<span><i class='material-icons'>desktop_windows</i></span>
		</div>

<nav>
	<div class="nav-wrapper">
		<a href="#!" class="brand-logo blue darken-3">Extent</a>

		<!-- slideout menu -->
		<ul id='slide-out' class='side-nav fixed hide-on-med-and-down'>
			<li class='waves-effect active'><a href='#!' view='test-view' onclick="configureView(0);chartsView('test');"><i class='material-icons'>dashboard</i></a></li>
						<li class='waves-effect'><a href='#!' onclick="configureView(-1);chartsView('dashboard');" view='dashboard-view'><i class='material-icons'>track_changes</i></i></a></li>
		</ul>

		<!-- report name -->
		<span class='report-name'>API Test Report</span>
		
		<!-- report headline -->
		<span class='report-headline'></span>

		<!-- nav-right -->
		<ul id='nav-mobile' class='right hide-on-med-and-down nav-right'>
			<li>
                <a href='#!'>
                    <span class='label suite-start-time blue darken-3'>Nov 26, 2019 08:33:28 PM</span>
				</a>
			</li>
			<li>
                <a href='#!'>
                    <span class='label blue darken-3'>3.1.2</span>
				</a>
			</li>
		</ul>
	</div>
</nav>

		<!-- container -->
		<div class='container'>

<div id='test-view' class='view'>
				
	<section id='controls'>
		<div class='controls grey lighten-4'>
			<!-- test toggle -->
			<div class='chip transparent'>
				<a class='dropdown-button tests-toggle' data-activates='tests-toggle' data-constrainwidth='true' data-beloworigin='true' data-hover='true' href='#'>
					<i class='material-icons'>warning</i> Status
				</a>
				<ul id='tests-toggle' class='dropdown-content'>
											<li status='pass'><a href='#!'>Pass <i class='material-icons green-text'>check_circle</i></a></li>
						<li status='fail'><a href='#!'>Fail <i class='material-icons red-text'>cancel</i></a></li>
					<li class='divider'></li>
					<li status='clear' clear='true'><a href='#!'>Clear Filters <i class='material-icons'>clear</i></a></li>
				</ul>
			</div>
			<!-- test toggle -->

			<!-- category toggle -->
			<!-- category toggle -->

			<!-- clear filters -->
			<div class='chip transparent hide'>
				<a class='' id='clear-filters' alt='Clear Filters' title='Clear Filters'>
					<i class='material-icons'>close</i> Clear
				</a>
			</div>
			<!-- clear filters -->

			<!-- enable dashboard -->
			<div id='toggle-test-view-charts' class='chip transparent'>
				<a class='pink-text' id='enable-dashboard' alt='Enable Dashboard' title='Enable Dashboard'>
					<i class='material-icons'>track_changes</i> Dashboard
				</a>
			</div>
			<!-- enable dashboard -->

			<!-- search -->
			<div class='chip transparent' alt='Search Tests' title='Search Tests'>
				<a href="#" class='search-div'>
					<i class='material-icons'>search</i> Search
				</a>

				<div class='input-field left hide'>
					<input id='search-tests' type='text' class='validate browser-default' placeholder='Search Tests...'>
				</div>
				
			</div>
			<!-- search -->
		</div>
	</section>


<div id='test-view-charts' class='subview-full'>
	<div id='charts-row' class='row nm-v nm-h'>
		<div class='col s12 m6 l6 np-h'>
			<div class='card-panel nm-v'>
				<div class='left panel-name'>Tests</div>
				<div class='chart-box'>
					<canvas id='parent-analysis' width='100' height='80'></canvas>
				</div>
				<div class='block text-small'>
					<span class='tooltipped' data-position='top' data-tooltip='95.89%'><span class='strong'>70</span> test(s) passed</span>
				</div>
				<div class='block text-small'>
					<span class='strong tooltipped' data-position='top' data-tooltip='4.11%'>3</span> test(s) failed, <span class='strong tooltipped' data-position='top' data-tooltip='0%'>0</span> others
				</div>
			</div>
		</div>
		
		<div class='col s12 m6 l6 np-h'>
			<div class='card-panel nm-v'>
				<div class='left panel-name'>Steps</div>
				<div class='chart-box'>
					<canvas id='child-analysis' width='100' height='80'></canvas>
				</div>
				<div class='block text-small'>
					<span class='tooltipped' data-position='top' data-tooltip='95.89%'><span class='strong'>70</span> step(s) passed</span>
				</div>
				<div class='block text-small'>
					<span class='strong tooltipped' data-position='top' data-tooltip='4.11%'>3</span> step(s) failed, <span class='strong tooltipped' data-position='top' data-tooltip='0%'>0</span> others
				</div>
			</div>
		</div>
		
	</div>
</div>

	<div class='subview-left left'>
		
		<div class='view-summary'>
			<h5>Tests</h5>
			<ul id='test-collection' class='test-collection'>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='1'>
					<div class='test-heading'>
						<span class='test-name'>verifyPostBodyCanNOTbeEmpty</span>
						<span class='test-time'>Nov 26, 2019 08:33:36 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:36 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:36 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+8ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:36 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyPostBodyCanNOTbeEmpty</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='2'>
					<div class='test-heading'>
						<span class='test-name'>getPostByID</span>
						<span class='test-time'>Nov 26, 2019 08:33:36 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:36 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:36 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:36 PM</td>
					<td class='step-details'><span class='label white-text green'>getPostByID</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='3'>
					<div class='test-heading'>
						<span class='test-name'>likePost</span>
						<span class='test-time'>Nov 26, 2019 08:33:36 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:36 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:36 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:36 PM</td>
					<td class='step-details'><span class='label white-text green'>likePost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='4'>
					<div class='test-heading'>
						<span class='test-name'>likePostWithAnotherUser</span>
						<span class='test-time'>Nov 26, 2019 08:33:37 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:37 PM</td>
					<td class='step-details'><span class='label white-text green'>likePostWithAnotherUser</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='5'>
					<div class='test-heading'>
						<span class='test-name'>getCountsOfLikesForPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:37 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:37 PM</td>
					<td class='step-details'><span class='label white-text green'>getCountsOfLikesForPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='6'>
					<div class='test-heading'>
						<span class='test-name'>getPostByPopularity</span>
						<span class='test-time'>Nov 26, 2019 08:33:37 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:37 PM</td>
					<td class='step-details'><span class='label white-text green'>getPostByPopularity</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='7'>
					<div class='test-heading'>
						<span class='test-name'>updateOwnPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:37 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:37 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:37 PM</td>
					<td class='step-details'><span class='label white-text green'>updateOwnPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='8'>
					<div class='test-heading'>
						<span class='test-name'>verifyPostCanNOTbeEditedWithEmptyBody</span>
						<span class='test-time'>Nov 26, 2019 08:33:38 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:38 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:38 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:38 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyPostCanNOTbeEditedWithEmptyBody</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='9'>
					<div class='test-heading'>
						<span class='test-name'>verifyPostIsEdited</span>
						<span class='test-time'>Nov 26, 2019 08:33:38 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:38 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:38 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:38 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyPostIsEdited</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='10'>
					<div class='test-heading'>
						<span class='test-name'>deleteOwnPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:39 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:39 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:39 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:39 PM</td>
					<td class='step-details'><span class='label white-text green'>deleteOwnPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='11'>
					<div class='test-heading'>
						<span class='test-name'>verifyPostIsDeleted</span>
						<span class='test-time'>Nov 26, 2019 08:33:39 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:39 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:39 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:39 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyPostIsDeleted</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='12'>
					<div class='test-heading'>
						<span class='test-name'>getPostsPerPage</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>getPostsPerPage</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='13'>
					<div class='test-heading'>
						<span class='test-name'>getPostsForCurrentUser</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>getPostsForCurrentUser</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='14'>
					<div class='test-heading'>
						<span class='test-name'>getPostsForUser</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>getPostsForUser</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='15'>
					<div class='test-heading'>
						<span class='test-name'>getAllPosts</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllPosts</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='16'>
					<div class='test-heading'>
						<span class='test-name'>getPostsById</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>getPostsById</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='17'>
					<div class='test-heading'>
						<span class='test-name'>adminEditPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>adminEditPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='18'>
					<div class='test-heading'>
						<span class='test-name'>verifyAdminCanNOTEditPostWithEmptyBody</span>
						<span class='test-time'>Nov 26, 2019 08:33:40 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:40 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:40 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyAdminCanNOTEditPostWithEmptyBody</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='19'>
					<div class='test-heading'>
						<span class='test-name'>verifyPostIsEditedByAdmin</span>
						<span class='test-time'>Nov 26, 2019 08:33:41 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:41 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyPostIsEditedByAdmin</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='20'>
					<div class='test-heading'>
						<span class='test-name'>adminDeletePost</span>
						<span class='test-time'>Nov 26, 2019 08:33:41 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:41 PM</td>
					<td class='step-details'><span class='label white-text green'>adminDeletePost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='21'>
					<div class='test-heading'>
						<span class='test-name'>verifyPostIsDeletedByAdmin</span>
						<span class='test-time'>Nov 26, 2019 08:33:41 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:41 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyPostIsDeletedByAdmin</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='22'>
					<div class='test-heading'>
						<span class='test-name'>adminGetPostsByPage</span>
						<span class='test-time'>Nov 26, 2019 08:33:41 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:41 PM</td>
					<td class='step-details'><span class='label white-text green'>adminGetPostsByPage</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='23'>
					<div class='test-heading'>
						<span class='test-name'>verifyCommentBodyCanNOTbeEmpty</span>
						<span class='test-time'>Nov 26, 2019 08:33:41 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:41 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:41 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyCommentBodyCanNOTbeEmpty</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='24'>
					<div class='test-heading'>
						<span class='test-name'>editOwnComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:42 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:42 PM</td>
					<td class='step-details'><span class='label white-text green'>editOwnComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='25'>
					<div class='test-heading'>
						<span class='test-name'>verifyCommentCanNOTbeEditedWithEmptyBody</span>
						<span class='test-time'>Nov 26, 2019 08:33:42 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:42 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyCommentCanNOTbeEditedWithEmptyBody</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='26'>
					<div class='test-heading'>
						<span class='test-name'>likeComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:42 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:42 PM</td>
					<td class='step-details'><span class='label white-text green'>likeComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='27'>
					<div class='test-heading'>
						<span class='test-name'>getNumberOfLikesForComments</span>
						<span class='test-time'>Nov 26, 2019 08:33:42 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:42 PM</td>
					<td class='step-details'><span class='label white-text green'>getNumberOfLikesForComments</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='28'>
					<div class='test-heading'>
						<span class='test-name'>getCommentsForPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:42 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:42 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:42 PM</td>
					<td class='step-details'><span class='label white-text green'>getCommentsForPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='29'>
					<div class='test-heading'>
						<span class='test-name'>deleteOwnComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:43 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:43 PM</td>
					<td class='step-details'><span class='label white-text green'>deleteOwnComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='30'>
					<div class='test-heading'>
						<span class='test-name'>verifyCommentIsDeleted</span>
						<span class='test-time'>Nov 26, 2019 08:33:43 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:43 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyCommentIsDeleted</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='31'>
					<div class='test-heading'>
						<span class='test-name'>adminEditComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:43 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:43 PM</td>
					<td class='step-details'><span class='label white-text green'>adminEditComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  fail' status='fail' bdd='false' test-id='32'>
					<div class='test-heading'>
						<span class='test-name'>verifyCommentIsEditedByAdmin</span>
						<span class='test-time'>Nov 26, 2019 08:33:43 PM</span>
						<span class='test-status right fail'>fail</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:43 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='fail'>
					<td class='status fail' title='fail' alt='fail'><i class='material-icons'>cancel</i></td>
					<td class='timestamp'>8:33:43 PM</td>
					<td class='step-details'><span class='label white-text red'>verifyCommentIsEditedByAdmin</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='33'>
					<div class='test-heading'>
						<span class='test-name'>verifyAdminCanNOTEditCommentWithEmptyBody</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyAdminCanNOTEditCommentWithEmptyBody</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='34'>
					<div class='test-heading'>
						<span class='test-name'>adminGetCommentsByPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>adminGetCommentsByPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='35'>
					<div class='test-heading'>
						<span class='test-name'>adminDeleteComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>adminDeleteComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='36'>
					<div class='test-heading'>
						<span class='test-name'>unauthenticatedUserCanSeeCommentsForPost</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>unauthenticatedUserCanSeeCommentsForPost</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='37'>
					<div class='test-heading'>
						<span class='test-name'>unauthenticatedUserCanGetCommentById</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>unauthenticatedUserCanGetCommentById</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='38'>
					<div class='test-heading'>
						<span class='test-name'>verifyrReplyBodyCanNOTbeEmpty</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyrReplyBodyCanNOTbeEmpty</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='39'>
					<div class='test-heading'>
						<span class='test-name'>editOwnReply</span>
						<span class='test-time'>Nov 26, 2019 08:33:44 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:44 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:44 PM</td>
					<td class='step-details'><span class='label white-text green'>editOwnReply</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='40'>
					<div class='test-heading'>
						<span class='test-name'>verifyReplyCanNOTbeEditedWithEmptyBody</span>
						<span class='test-time'>Nov 26, 2019 08:33:45 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:45 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyReplyCanNOTbeEditedWithEmptyBody</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='41'>
					<div class='test-heading'>
						<span class='test-name'>likeReply</span>
						<span class='test-time'>Nov 26, 2019 08:33:45 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:45 PM</td>
					<td class='step-details'><span class='label white-text green'>likeReply</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='42'>
					<div class='test-heading'>
						<span class='test-name'>getAllRepliesForAComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:45 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:45 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllRepliesForAComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='43'>
					<div class='test-heading'>
						<span class='test-name'>deleteOwnReply</span>
						<span class='test-time'>Nov 26, 2019 08:33:45 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:45 PM</td>
					<td class='step-details'><span class='label white-text green'>deleteOwnReply</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='44'>
					<div class='test-heading'>
						<span class='test-name'>adminGetRepliesForComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:45 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:45 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:45 PM</td>
					<td class='step-details'><span class='label white-text green'>adminGetRepliesForComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='45'>
					<div class='test-heading'>
						<span class='test-name'>adminEditReply</span>
						<span class='test-time'>Nov 26, 2019 08:33:46 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:46 PM</td>
					<td class='step-details'><span class='label white-text green'>adminEditReply</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='46'>
					<div class='test-heading'>
						<span class='test-name'>verifyAdminCanNOTEditCommentWithEmptyBody</span>
						<span class='test-time'>Nov 26, 2019 08:33:46 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:46 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyAdminCanNOTEditCommentWithEmptyBody</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='47'>
					<div class='test-heading'>
						<span class='test-name'>adminDeleteReply</span>
						<span class='test-time'>Nov 26, 2019 08:33:46 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:46 PM</td>
					<td class='step-details'><span class='label white-text green'>adminDeleteReply</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='48'>
					<div class='test-heading'>
						<span class='test-name'>unauthenticatedUserCanSeeRepliesForComment</span>
						<span class='test-time'>Nov 26, 2019 08:33:46 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:46 PM</td>
					<td class='step-details'><span class='label white-text green'>unauthenticatedUserCanSeeRepliesForComment</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='49'>
					<div class='test-heading'>
						<span class='test-name'>sendConnectionRequest</span>
						<span class='test-time'>Nov 26, 2019 08:33:46 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:46 PM</td>
					<td class='step-details'><span class='label white-text green'>sendConnectionRequest</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='50'>
					<div class='test-heading'>
						<span class='test-name'>getPendingUsers</span>
						<span class='test-time'>Nov 26, 2019 08:33:46 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:46 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:46 PM</td>
					<td class='step-details'><span class='label white-text green'>getPendingUsers</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='51'>
					<div class='test-heading'>
						<span class='test-name'>acceptFriendRequest</span>
						<span class='test-time'>Nov 26, 2019 08:33:47 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:47 PM</td>
					<td class='step-details'><span class='label white-text green'>acceptFriendRequest</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  fail' status='fail' bdd='false' test-id='52'>
					<div class='test-heading'>
						<span class='test-name'>getAllConnectedUsers</span>
						<span class='test-time'>Nov 26, 2019 08:33:47 PM</span>
						<span class='test-status right fail'>fail</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='fail'>
					<td class='status fail' title='fail' alt='fail'><i class='material-icons'>cancel</i></td>
					<td class='timestamp'>8:33:47 PM</td>
					<td class='step-details'><span class='label white-text red'>getAllConnectedUsers</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='53'>
					<div class='test-heading'>
						<span class='test-name'>disconnectWithUsers</span>
						<span class='test-time'>Nov 26, 2019 08:33:47 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:47 PM</td>
					<td class='step-details'><span class='label white-text green'>disconnectWithUsers</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='54'>
					<div class='test-heading'>
						<span class='test-name'>verifyUserIsDisconnected</span>
						<span class='test-time'>Nov 26, 2019 08:33:47 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:47 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyUserIsDisconnected</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='55'>
					<div class='test-heading'>
						<span class='test-name'>getCurrentUser</span>
						<span class='test-time'>Nov 26, 2019 08:33:47 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:47 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:47 PM</td>
					<td class='step-details'><span class='label white-text green'>getCurrentUser</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='56'>
					<div class='test-heading'>
						<span class='test-name'>getAllUsers</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllUsers</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='57'>
					<div class='test-heading'>
						<span class='test-name'>editOwnProfile</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>editOwnProfile</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  fail' status='fail' bdd='false' test-id='58'>
					<div class='test-heading'>
						<span class='test-name'>deleteOwnProfile</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right fail'>fail</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='fail'>
					<td class='status fail' title='fail' alt='fail'><i class='material-icons'>cancel</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text red'>deleteOwnProfile</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='59'>
					<div class='test-heading'>
						<span class='test-name'>verifyUserIsDeleted</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>verifyUserIsDeleted</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='60'>
					<div class='test-heading'>
						<span class='test-name'>adminCanEditUserProfile</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>adminCanEditUserProfile</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='61'>
					<div class='test-heading'>
						<span class='test-name'>getAllNationalities</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllNationalities</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='62'>
					<div class='test-heading'>
						<span class='test-name'>getNationalityById</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getNationalityById</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='63'>
					<div class='test-heading'>
						<span class='test-name'>getNationalityByName</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getNationalityByName</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='64'>
					<div class='test-heading'>
						<span class='test-name'>getAllMaps</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllMaps</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='65'>
					<div class='test-heading'>
						<span class='test-name'>getMapById</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getMapById</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='66'>
					<div class='test-heading'>
						<span class='test-name'>getMapByName</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getMapByName</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='67'>
					<div class='test-heading'>
						<span class='test-name'>getAllRanks</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllRanks</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='68'>
					<div class='test-heading'>
						<span class='test-name'>getRankById</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getRankById</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='69'>
					<div class='test-heading'>
						<span class='test-name'>getRankByName</span>
						<span class='test-time'>Nov 26, 2019 08:33:48 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:48 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:48 PM</td>
					<td class='step-details'><span class='label white-text green'>getRankByName</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='70'>
					<div class='test-heading'>
						<span class='test-name'>getAllWeapons</span>
						<span class='test-time'>Nov 26, 2019 08:33:49 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+8ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:49 PM</td>
					<td class='step-details'><span class='label white-text green'>getAllWeapons</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='71'>
					<div class='test-heading'>
						<span class='test-name'>getWeaponById</span>
						<span class='test-time'>Nov 26, 2019 08:33:49 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:49 PM</td>
					<td class='step-details'><span class='label white-text green'>getWeaponById</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='72'>
					<div class='test-heading'>
						<span class='test-name'>getWeaponByName</span>
						<span class='test-time'>Nov 26, 2019 08:33:49 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:49 PM</td>
					<td class='step-details'><span class='label white-text green'>getWeaponByName</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
				
				
				<li class='test displayed active  pass' status='pass' bdd='false' test-id='73'>
					<div class='test-heading'>
						<span class='test-name'>deleteTestData</span>
						<span class='test-time'>Nov 26, 2019 08:33:49 PM</span>
						<span class='test-status right pass'>pass</span>
					</div>
					<div class='test-content hide'>
<div class='test-time-info'>
	<span class='label start-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label end-time'>Nov 26, 2019 08:33:49 PM</span>
	<span class='label time-taken grey lighten-1 white-text'>0h 0m 0s+0ms</span>
</div>
	<div class='test-steps'>
		<table class='bordered table-results'>
			<thead>
				<tr>
					<th>Status</th>
					<th>Timestamp</th>
					<th>Details</th>
				</tr>
			</thead>
			<tbody>
				<tr class='log' status='pass'>
					<td class='status pass' title='pass' alt='pass'><i class='material-icons'>check_circle</i></td>
					<td class='timestamp'>8:33:49 PM</td>
					<td class='step-details'><span class='label white-text green'>deleteTestData</span></td>
				</tr>
			</tbody>
		</table>
	</div>
					</div>
				</li>
			</ul>
		</div>
	</div>
	<!-- subview left -->

	<div class='subview-right left'>
		<div class='view-summary'>
			<h5 class='test-name'></h5>

			<div id='step-filters' class="right">
				<span class="blue-text" status="info" alt="info" title="info"><i class="material-icons">info_outline</i></span>
				<span class="green-text" status="pass" alt="pass" title="pass"><i class="material-icons">check_circle</i></span>
				<span class="red-text" status="fail" alt="fail" title="fail"><i class="material-icons">cancel</i></span>
				<span class="red-text text-darken-4" status="fatal" alt="fatal" title="fatal"><i class="material-icons">cancel</i></span>
				<span class="pink-text text-lighten-1" status="error" alt="error" title="error"><i class="material-icons">error</i></span>
				<span class="orange-text" alt="warning" status="warning" title="warning"><i class="material-icons">warning</i></span>
				<span class="teal-text" status="skip" alt="skip" title="skip"><i class="material-icons">redo</i></span>
				<span status="clear" alt="Clear filters" title="Clear filters"><i class="material-icons">clear</i></span>
			</div>
		</div>
	</div>
	<!-- subview right -->

</div>
<!-- test view -->
<!-- category view -->
<!-- exception view -->
<div id='dashboard-view' class='view hide'>
	<div class='card-panel transparent np-v'>
		<h5>Dashboard</h5>

		<div class='row'>
			<div class='col s2'>
				<div class='card-panel r'>
					Tests
					<div class='panel-lead'>73</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Steps
					<div class='panel-lead'>73</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Start
					<div class='panel-lead'>Nov 26, 2019 08:33:28 PM</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
			 		End
			 		<div class='panel-lead'>Nov 26, 2019 08:33:49 PM</div>
				</div>
			</div>
			<div class='col s2'>
				<div class='card-panel r'>
					Time Taken
					<div class='panel-lead'>20,865ms</div>
				</div>
			</div>
			<div class='col s4'>
				<div class='card-panel dashboard-environment'>
					<span class='right label cyan white-text'>Environment</span><p>&nbsp;</p>
					
					<table>
						<tr>
							<th>Name</th>
							<th>Value</th>
						</tr>
							<tr>
								<td>Host name</td>
								<td>localhost</td>
							</tr>
							<tr>
								<td>Environment</td>
								<td>QA</td>
							</tr>
							<tr>
								<td>user</td>
								<td>Boris</td>
							</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- dashboard view -->
<!-- testrunner-logs view -->
		</div>
		<!-- container -->

		<script>
			var statusGroup = {
				passParent: 70,
				failParent: 3,
				fatalParent: 0,
				errorParent: 0,
				warningParent: 0,
				skipParent: 0,
				exceptionsParent: 3,
				
				passChild: 70,
				failChild: 3,
				fatalChild: 0,
				errorChild: 0,
				warningChild: 0,
				skipChild: 0,
				infoChild: 0,
				exceptionsChild: 3,
				
				passGrandChild: 0,
				failGrandChild: 0,
				fatalGrandChild: 0,
				errorGrandChild: 0,
				warningGrandChild: 0,
				skipGrandChild: 0,
				infoGrandChild: 0,
				exceptionsGrandChild: 0,
			};
		</script>
		
			<script src='https://cdn.rawgit.com/anshooarora/extentreports-java/fca20fb7653aade98810546ab96a2a4360e3e712/dist/js/extent.js' type='text/javascript'></script>
		
		
 		<script type='text/javascript'>
 			
            
                $(document).ready(function() {

                });
            
        
 		</script>
	</body>
	
</html>
